低危 389-ds-base up to 1.3.6.12/1.3.7.8/1.4.0.4 LDAP Search Filter LDAP Request Stack-based 拒绝服务漏洞

CVE编号

CVE-2017-15134

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-03-02 11:29:00
漏洞描述
在3.3.6.13之前的389-DS-base 1.3.6.x、1.3.7.9之前的1.3.7.x、1.4.0.5之前的1.4.x处理某些 LDAP search filters的方式中发现了堆栈缓冲区溢出漏洞。未经身份验证的远程攻击者可能会利用此漏洞通过巧尽心思构建的LDAP请求造成ns-slapd崩溃,从而导致拒绝服务。 
解决建议
目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:
http://directory.fedoraproject.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 fedoraproject 389_directory_server * From
(including)
1.3.6.1
Up to
(excluding)
1.3.6.13
运行在以下环境
应用 fedoraproject 389_directory_server * From
(including)
1.3.7.1
Up to
(excluding)
1.3.7.9
运行在以下环境
应用 fedoraproject 389_directory_server * From
(including)
1.4.0.0
Up to
(excluding)
1.4.0.5
2
运行在以下环境
系统 ubuntu_18.04 389-ds-base * Up to
(excluding)
1.3.7.9-1
3
运行在以下环境
系统 opensuse_Leap_15.0 389-ds-base * Up to
(excluding)
1.4.0.3-lp150.3.3.1
4
运行在以下环境
系统 debian_9 389-ds-base * Up to
(excluding)
1.3.5.17-2
5
运行在以下环境
系统 debian_8 389-ds-base * Up to
(excluding)
1.3.3.5-4+deb8u1
6
运行在以下环境
系统 amazon_AMI 389-ds-base * Up to
(excluding)
1.3.6.1-26.52.amzn1
7
运行在以下环境
系统 amazon_2 389-ds-base * Up to
(excluding)
1.3.6.1-26.amzn2.0.1
8
运行在以下环境
系统 opensuse_Leap_15.0 389-ds-base * Up to
(excluding)
1.4.0.3-lp150.3.3.1
9
运行在以下环境
系统 oracle_7 389-ds-base * Up to
(excluding)
1.3.6.1-26.el7_4
10
运行在以下环境
系统 centos_7 389-ds-base * Up to
(excluding)
1.3.6.1-26.el7_4
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
阿里云安全产品覆盖情况